package com.gh.gamecenter.room.converter

import androidx.room.TypeConverter
import com.gh.gamecenter.common.utils.toJson
import com.gh.gamecenter.common.utils.toObject
import com.gh.gamecenter.qa.entity.Count

class CountConverter {
    @TypeConverter
    fun toCountString(data: Count?): String {
        return data?.toJson() ?: ""
    }

    @TypeConverter
    fun toCountEntity(token: String?): Count {
        return token?.toObject() ?: Count()
    }
}